Summary: Man (manual) pages from the Linux Documentation Project.
Name: man-pages
Version: 2.01
Release: 3tr
License: distributable
Group: Trustix Official
Source0: http://ftp.debian.org/debian/pool/main/m/manpages/manpages_%{version}.orig.tar.gz
Source1: rpcgen.1
Source2: netman-cvs.tar.gz
Buildroot: /var/tmp/%{name}-root
Requires: man

%description
A large collection of man pages (documentation) from the Linux
Documentation Project (LDP).  The man pages are organized into the
following sections: Section 1, user commands (intro only); Section 2,
system calls; Section 3, libc calls; Section 4, devices (e.g., hd,
sd); Section 5, file formats and protocols (e.g., wtmp, /etc/passwd,
nfs); Section 6, games (intro only); Section 7, conventions, macro
packages, etc. (e.g., nroff, ascii); and Section 8, system
administration (intro only).

%prep
%setup -q

# I left the .b off of this to keep from having old versions in file lists
cp -a %{SOURCE1} man1

%build
rm -fv man1/README
rm -fv man1/{chgrp,chmod,chown,cp,dd,df,dircolors,du,install}.1
rm -fv man1/{ln,ls,mkdir,mkfifo,mknod,mv,rm,rmdir,touch}.1
rm -fv man1/{dir,vdir,diff}.1
rm -fv man2/modules.2 man2/quotactl.2 man2/get_kernel_syms.2 
rm -fv man2/{create,delete,init,query}_module.2
rm -fv man2/cap{g,s}et.2
rm -rf man2/*xattr.2
rm -fv man3/rand.3
rm -fv man3/resolver.3
rm -fv man3/getnetent.3
rm -fv man3/getaddrinfo.3
rm -fv man3/err.3
rm -fv man4/console.4
rm -fv man5/exports.5
rm -fv man5/nfs.5
rm -fv man5/passwd.5
rm -fv man5/fstab.5
rm -fv man5/resolver.5
rm -fv man5/resolv.conf.5*
rm -fv man8/lilo.8
find . -name "*sudo*" -exec rm {} \;

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/share/man
for n in 0p 1 1p 2 3 3p 4 5 6 7 8 9; do
	mkdir $RPM_BUILD_ROOT/usr/share/man/man$n
done

# Do the source 2 manpages first so they will be overwritten with the newer
# if both exist.
mkdir tmp
pushd tmp
  tar -zxf %{SOURCE2}
  for n in 2 3 4; do
        cp *.$n $RPM_BUILD_ROOT/usr/share/man/man$n/
  done
popd

# Then do the official
for n in man?/* man?p/*; do
	test -e "$n" && cp -a "$n" $RPM_BUILD_ROOT/usr/share/man/$n
done

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc README man-pages-%{version}.Announce
/usr/share/man/man*/*

%changelog
* Fri Mar 18 2005 Lakshmi Dinamoni <lakshmi at comodo dot com> 2.01-2tr
- Rebuild for glibc-2.3.4-6tr

* Thu Feb 23 2005 Raghu <raghu at comodo dot com> 2.01-1tr
- New Upstream

* Thu Sep 23 2004 Nageswara Sastry <nageswara at comodo dot com> 1.67-1tr
- Upgraded to version 1.67-1tr from 1.66-4tr

* Tue Mar 16 2004 Oystein Viggen <oysteivi at trustix dot com> 1.66-4tr
- Use upstream package without non-free POSIX documents 
  (provided by Martin Schulze <joey at infodrom dot org>)

* Wed Feb 11 2004 Omar Kilani <ok at trustix dot org> 1.66-1ok
- New upstream.

* Mon Jan 26 2004 Erlend Midttun <erlendbm at trustix dot org> 1.65-2tr
- man2/*xattr.2 now comes from libattr-devel.

* Sun Jan 25 2004 Erlend Midttun <erlendbm at trustix dot org> 1.65-1tr
- New upstream. Now with POSIX 1003.1-2003 man pages as well.

* Wed Dec 10 2003 Erlend Midttun <erlendbm at trustix dot org> 1.64-1tr
- New upstream.

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 1.52-7tr
- Moved %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.52-6tr
- Big rebuild

* Tue May 27 2003 Erlend Midttun <erlendbm at trustix dot com> 1.52-5em
- PreReq -> Requires.

* Wed Apr  9 2003 Gerald Dachs <gda at trustix dot org> 1.52-4gd
- Added PreReq on man

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.52-3em
- Rebuilt against glibc 2.3.2.

* Wed Jan 22 2003 Tor Hveem <torh at trustix dot org> 1.52-2th
- Removed passwd.5 manpage (it is in the shadow-utils package)

* Tue Aug 13 2002 Christian H. Toldnes <christht at trustix dot com> 1.52-1ct
- Removed resolv.conf man page.
- New upstream version: 1.52
- Removed alle the other languages.... :)

* Wed Jun  6 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version: 1.37

* Wed Nov 29 2000 Erlend Midttun <erlendbm at trustix dot com>
- Removed resolver(5) man pages as it conflicted with bind-utils.
  Thanks to Janke Ronnblom <jan-ake.ronnblom@skeria.skelleftea.se>.

* Thu Sep 14 2000 Per Ivar Paulsen <perp at trustix dot com>
- Picked up 1.31. Removed some patches. Cleaned up.

* Mon Feb 21 2000 Erlend Midttun <erlendbm at trustix dot com>
- Moved man pages to comply with FHS 2.0

* Fri Feb 04 2000 Cristian Gafton <gafton@redhat.com>
- remove non-man pages (#7814)

* Fri Feb  4 2000 Matt Wilson <msw@redhat.com>
- exclude dir.1 and vdir.1 (these are in the fileutils package)

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- version 1.28

* Fri Nov 05 1999 Michael K. Johnson <johnsonm@redhat.com>
- Fixed SIGILL, SIGQUIT in signals.7

* Wed Oct 06 1999 Cristian Gafton <gafton@redhat.com>
- fox man page for getcwd

* Wed Sep 22 1999 Cristian Gafton <gafton@redhat.com>
- added man pages for set/getcontext

* Tue Sep 14 1999 Bill Nottingham <notting@redhat.com>
- remove some bad man pages

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- czech, german, spanish, russian man pages

* Thu Sep 09 1999 Cristian Gafton <gafton@redhat.com>
- version 1.26
- add french man pages
- add italian man pages

* Fri Jul 23 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.25.

* Fri Apr 16 1999 Cristian Gafton <gafton@redhat.com>
- fiox man page fro ftw

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- spellnig fixse

* Tue Mar 30 1999 Bill Nottingham <notting@redhat.com>
- updated to 1.23

* Thu Mar 25 1999 Cristian Gafton <gafton@redhat.com>
- added kernel net manpages

* Mon Mar 22 1999 Erik Troan <ewt@redhat.com>
- updated printf man page
- added rpcgen man page

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- leave the lilo man pages alone (oops)

* Fri Feb 12 1999 Michael Maher <mike@redhat.com>
- fixed bug #413

* Mon Jan 18 1999 Cristian Gafton <gafton@redhat.com>
- remove lilo man pages too
- got rebuilt for 6.0

* Tue Sep 08 1998 Cristian Gafton <gafton@redhat.com>
- version 1.21

* Sat Jun 20 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.20

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- get rid of the modutils man pages
- updated to 1.19

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 1.18

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated to 1.17
- moved build root to /var

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
